Attribute VB_Name = "INI_FileFunctions"
'//////////////////////////////////////////////////////////////////////////////
'//                                 MIFARE MAGIC
'//
'//                  ELEKTOR RFID READER for MIFARE and ISO14443-A
'//
'//                      Copyright (c) 2006 Gerhard H. Schalk
'//
'//////////////////////////////////////////////////////////////////////////////
'// Functions:   - Read_INIFile
'//              - Write_INIFile
'//////////////////////////////////////////////////////////////////////////////

Option Explicit

'//------------------------------------------------------------------------
'// Function: Read_INIFile
'//------------------------------------------------------------------------
'// Description:
'// Reads GUI Settings form the MifareMagic.ini file
'//------------------------------------------------------------------------
Sub Read_INIFile()
    Dim sINIFileNum As String '//File Number
    Dim sINIFileName As String '//File Name
    Dim sTemp As String
    
    On Error GoTo FileError
        sINIFileNum = FreeFile 'Get next free file number

        Open "MifareMagic.ini" For Input As #sINIFileNum
         
        'Restor last Settings
        Input #sINIFileNum, sTemp
        If sTemp <> "0" Then
            MDIForm_main.mnu_ShowTerminaWindow.Checked = True
        Else
            MDIForm_main.mnu_ShowTerminaWindow.Checked = False
        End If
                
        Input #sINIFileNum, sTemp
        If sTemp <> "0" Then
            MDIForm_main.mnu_ShowMifareUltraLightWindow.Checked = True
        Else
            MDIForm_main.mnu_ShowMifareUltraLightWindow.Checked = False
        End If
                
       Input #sINIFileNum, sTemp
        If sTemp <> "0" Then
            MDIForm_main.mnu_ShowAllCards.Checked = True
        Else
            MDIForm_main.mnu_ShowAllCards.Checked = False
        End If
        
        Input #sINIFileNum, sTemp
        If sTemp <> "0" Then
            MDIForm_main.mnu_ShowAccessControl.Checked = True
        Else
            MDIForm_main.mnu_ShowAccessControl.Checked = False
        End If
                
        Input #sINIFileNum, sTemp
        If sTemp <> "0" Then
            MDIForm_main.mnu_Terminal_BlackBackround.Checked = True
        Else
            MDIForm_main.mnu_Terminal_BlackBackround.Checked = False
        End If
                
        Input #sINIFileNum, sTemp
        If sTemp <> "0" Then
            MDIForm_main.mnu_ASCCI.Checked = True
            MDIForm_main.mnu_HEX.Checked = False
        Else
            MDIForm_main.mnu_ASCCI.Checked = False
            MDIForm_main.mnu_HEX.Checked = True
        End If
              
        Close #sINIFileNum
        Exit Sub
FileError:
    'Default Settings,, :
    MDIForm_main.mnu_ShowTerminaWindow.Checked = True
    MDIForm_main.mnu_ASCCI.Checked = True
    Close #sINIFileNum
End Sub
'//------------------------------------------------------------------------
'// Function: Write_INIFile
'//------------------------------------------------------------------------
'// Description:
'// Stores GUI Settings into MifareMagic.ini file
'//------------------------------------------------------------------------
Sub Write_INIFile()
    Dim sINIFileNum As String '//File Number
    Dim sINIFileName As String '//File Name
    Dim sTemp As String
    Dim bTemp As Boolean
    
    On Error GoTo FileError
        sINIFileNum = FreeFile 'Get next free file number

        Open "MifareMagic.ini" For Output As #sINIFileNum
        
        'Save Settings
        Print #sINIFileNum, -1 * MDIForm_main.mnu_ShowTerminaWindow.Checked
        Print #sINIFileNum, -1 * MDIForm_main.mnu_ShowMifareUltraLightWindow.Checked
        Print #sINIFileNum, -1 * MDIForm_main.mnu_ShowAllCards.Checked
        Print #sINIFileNum, -1 * MDIForm_main.mnu_ShowAccessControl.Checked
        Print #sINIFileNum, -1 * MDIForm_main.mnu_Terminal_BlackBackround.Checked
        Print #sINIFileNum, -1 * MDIForm_main.mnu_ASCCI.Checked
        Close #sINIFileNum
        Exit Sub
    
FileError:
    Close #sINIFileNum
End Sub

