VERSION 5.00
Begin VB.Form Form_Terminal 
   ClientHeight    =   7530
   ClientLeft      =   60
   ClientTop       =   60
   ClientWidth     =   9930
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   7530
   ScaleWidth      =   9930
   WindowState     =   2  'Maximized
   Begin VB.Timer Timer_Terminal 
      Enabled         =   0   'False
      Interval        =   50
      Left            =   120
      Top             =   0
   End
   Begin VB.TextBox Text_Terminal 
      BackColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   7215
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   240
      Width           =   9645
   End
End
Attribute VB_Name = "Form_Terminal"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'//////////////////////////////////////////////////////////////////////////////
'//                                 MIFARE MAGIC
'//
'//                  ELEKTOR RFID READER for MIFARE and ISO14443-A
'//
'//                      Copyright (c) 2006 Gerhard H. Schalk
'//
'//////////////////////////////////////////////////////////////////////////////
Option Explicit
Private Sub Form_Load()
    MDIForm_main.Caption = "MIFARE Magic - Terminal"
    If MDIForm_main.mnu_OpenReaderInterface.Enabled = False Then
       ChangeReaderMode (READER_TERMINAL_MODE)
    End If
    Call ChangeTextBoxBackroundColor(Me.Text_Terminal, MDIForm_main.mnu_Terminal_BlackBackround.Checked)
    
    Timer_Terminal.Enabled = True
End Sub
Private Sub Form_Resize()
    Text_Terminal.Height = Form_Terminal.Height - 435
    Text_Terminal.Width = Form_Terminal.Width - 490
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Timer_Terminal.Enabled = False
End Sub
Sub ChangeTextBoxBackroundColor(Text As TextBox, BlackBackround As Boolean)
    If BlackBackround = True Then
        Text.BackColor = &H0&     'black
        Text.ForeColor = &HFFFF&  'yellow
    Else
        Text.BackColor = &HFFFFFF 'white
        Text.ForeColor = &H0&     'black
    End If
End Sub
'Terminal Display
Private Sub Timer_Terminal_Timer()
    Dim bytRcvBuffer(1000) As Byte
    Dim lngRcvLen As Long
    Dim lngStatus As Long
    Dim bytOutByte As Byte
    Dim strOutTextASCII As String
    Dim strOutTextHEX As String
    Dim i, j, x, lngPrintLen As Long
       
    'Read all received characters
    lngStatus = ReadUSBDataQueue(bytRcvBuffer, lngRcvLen)
    
    If (lngStatus = FT_OK) And (lngRcvLen > 0) Then
    
        If MDIForm_main.mnu_ASCCI.Checked = True Then
            
            ' Display received characters in ASCII format
            For i = 0 To lngRcvLen - 1
                strOutTextASCII = strOutTextASCII + Chr$(bytRcvBuffer(i))
            Next i
            Text_Terminal.SelText = strOutTextASCII
        
        Else
            
            ' Display received characters in hexadecimal format
            For i = 0 To lngRcvLen - 1
                strOutTextHEX = strOutTextHEX + Right("0" + HEX(Asc(Chr$(bytRcvBuffer(i)))), 2) + " "
                
                'Display 16 Hex Characters + all characters in ASCCI format
                If ((i + 1) Mod 16) = 0 Then
                    strOutTextASCII = ""
                    For j = i - 15 To i
                        If bytRcvBuffer(j) < 32 Then
                            strOutTextASCII = strOutTextASCII + "."
                        Else
                            strOutTextASCII = strOutTextASCII + Chr$(bytRcvBuffer(j))
                        End If
                    Next j
                    strOutTextHEX = strOutTextHEX + "   " + strOutTextASCII + vbCrLf
                End If
            Next i
            Text_Terminal.SelText = strOutTextHEX + vbCrLf
        End If
    End If
End Sub
